.underline-hover {
  position: relative;
  text-decoration: none; /* Hide default underline */
  color: black;
}

.underline-hover::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: currentColor;
  transform: scaleX(0); /* Hide line initially */
  transform-origin: bottom right;
  transition: transform 0.3s ease-out;
}

.underline-hover:hover::after {
  transform: scaleX(1); /* Reveal line on hover */
  transform-origin: bottom left;
}
.reveal-down {
  /* Initial state: invisible and clipped at the top */
  clip-path: inset(0 0 100% 0);
  transition: clip-path 0.3s ease-out;
}

.reveal-down.active {
  /* Final state: fully revealed */
  clip-path: inset(0 0 0 0);
}


.main-nav {
	position: relative;
	z-index: 9999;
}
.main-nav, .dropdown ul {
	border-bottom: 2px solid rgba(0,0,0,0.7);
}
.main-nav span {
	color: #0a0b0a;
}

.dropdown {
	z-index: 9999;
}
.dropdown-text::before {
	content: '-';
}
.dropdown ul {
	border-radius: 5px;
	min-width: 150px;
	line-height: 1.4;
}
.dropdown a:hover {
  background: rgba(0,0,0,0.06);
}
@media (max-width: 640px) {
	.menu-toggle {
		font-size: 2em;
	}
	.main-nav {
		z-index: 1000;
		top: 0;
	}
	.main-nav li {
		display: block;
		margin-top: 15px;
		font-size: 1.5em;
	}
	.d-sm {
		display: block;
	}
	.main-nav.collapse ul {
		display: none;
	}
	.dropdown ul {
		min-width: 100%;
	}
}